from Plugins.Plugin import PluginDescriptor
from Components.ActionMap import ActionMap
from Components.MenuList import MenuList
from Screens.Screen import Screen
from Screens.Console import Console
import os

Ciplushelper_sh = "/etc/init.d/ciplushelper"

class Ciplushelper(Screen):
	skin = """
	<screen position="center,center" size="350,180" title="Ciplushelper Menu" >
		<widget name="menu" position="10,10" size="350,180" scrollbarMode="showOnDemand" />
	</screen>"""
	
	def __init__(self, session, args=None):
		Screen.__init__(self, session)
		self.session = session
		self.menu = args
		list = []
		list.append((_("Enable Ciplushelper autostart"), "enableautostart"))
		list.append((_("Disable Ciplushelper autostart"), "disableautostart"))
		self["menu"] = MenuList(list)
		self["actions"] = ActionMap(["OkCancelActions"], {"ok": self.run, "cancel": self.close}, -1)
	
	def run(self):
		returnValue = self["menu"].l.getCurrentSelection()[1]
		if returnValue is not None:
			if returnValue is "enableautostart":
				self.session.open(Console,_("Enable Ciplushelper autostart:"),["%s enableautostart" % Ciplushelper_sh])
			elif returnValue is "disableautostart":
				self.session.open(Console,_("Disable Ciplushelper autostart:"),["%s disableautostart" % Ciplushelper_sh])

def main(session, **kwargs):
	session.open(Ciplushelper)

def CiplusHelperStart(menuid):
	if menuid == "cam":
		return [(_("Ciplushelper"), main, "ciplus_helper", 10)]
	return []

def Plugins(path,**kwargs):
	if os.path.exists("/usr/bin/ciplushelper"):
		return [PluginDescriptor(name=_("Ciplushelper"), description="Configure Ciplushelper", where = PluginDescriptor.WHERE_MENU, fnc=CiplusHelperStart)]
	return []
